## python-mystrom 2.2.0

=== requirements.txt ===
# python-mystrom requirements. Use setup.py for the dependencies.
.

=== debian/changelog ===
python-mystrom (2.2.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Wed, 31 Jul 2024 16:39:46 +0900

python-mystrom (2.2.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1077026)

 -- Edward Betts <edward@4angle.com>  Thu, 25 Jul 2024 20:01:22 +0900

=== debian/control ===
Source: python-mystrom
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-click <!nocheck>,
               python3-requests <!nocheck>,
               python3-aiohttp <!nocheck>,
               python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/home-assistant-ecosystem/python-mystrom
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-mystrom
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-mystrom.git

Package: python3-python-mystrom
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Asynchronous Python client for myStrom devices
 An asynchronous Python API client for interacting with myStrom devices,
 including bulbs, plugs, and buttons. With capabilities to monitor power
 consumption, control relay states, and manage device configurations, the
 client supports base functionalities outlined by myStrom's API. Suitable for
 integration with network-connected myStrom hardware, users can interact
 programmatically with devices using HTTP requests. Features include state
 retrieval, power monitoring, relay control for plugs, color and state
 management for bulbs, and configuration settings for buttons.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=python-mystrom

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf python_mystrom.egg-info/

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-mystrom-$1\.tar\.gz/ \
  https://github.com/home-assistant-ecosystem/python-mystrom/tags .*/v?(\d\S+)\.tar\.gz

## python-mystrom 2.5.0

=== debian/changelog ===
python-mystrom (2.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Mon, 01 Sep 2025 18:34:55 +0100

python-mystrom (2.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version.
  * Drop pkg_resources patch, no longer required.
  * Upstream switch build system from setuptools to poetry.

 -- Edward Betts <edward@4angle.com>  Sun, 22 Jun 2025 11:47:01 +0100

python-mystrom (2.2.0-3) unstable; urgency=medium

  * Patch to avoid deprecated module pkg_resources. (Closes: #1083668)
  * Update copyright year.
  * Simplify debian/rules.
  * Simplify debian/watch.
  * Move packages required for tests to Build-Depends-Indep.

 -- Edward Betts <edward@4angle.com>  Wed, 05 Feb 2025 18:10:14 +0000

=== debian/control ===
Source: python-mystrom
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry-core,
Build-Depends-Indep:
 python3-aiohttp <!nocheck>,
 python3-click <!nocheck>,
 python3-requests <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/home-assistant-ecosystem/python-mystrom
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-mystrom
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-mystrom.git

Package: python3-python-mystrom
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Asynchronous Python client for myStrom devices
 An asynchronous Python API client for interacting with myStrom devices,
 including bulbs, plugs, and buttons. With capabilities to monitor power
 consumption, control relay states, and manage device configurations, the
 client supports base functionalities outlined by myStrom's API. Suitable for
 integration with network-connected myStrom hardware, users can interact
 programmatically with devices using HTTP requests. Features include state
 retrieval, power monitoring, relay control for plugs, color and state
 management for bulbs, and configuration settings for buttons.

=== debian/watch ===
version=4
https://github.com/home-assistant-ecosystem/python-mystrom/tags .*/v?(\d\S+)\.tar\.gz

## python-mystrom 2.6.0

=== debian/changelog ===
python-mystrom (2.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Priority: optional', now the default.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Update Standards-Version.
  * Update debian/watch to format version 5.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Sun, 28 Dec 2025 22:38:18 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders:
  Edward Betts <edward@4angle.com>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -14,8 +13,7 @@
  python3-aiohttp <!nocheck>,
  python3-click <!nocheck>,
  python3-requests <!nocheck>,
-Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/home-assistant-ecosystem/python-mystrom
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-mystrom
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-mystrom.git

=== debian/watch ===
Version: 5

Template: Github
Owner: home-assistant-ecosystem
Project: python-mystrom
